[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.SetCharCase

Sets the value in the CharCase property.

## Declaration

Source position: maskedit.pp line 282

`protected procedure TCustomMaskEdit.SetCharCase(`
`Value: TEditCharCase`
`); override;`

## Arguments

`Value` |  | New value for the property.

## Description

SetCharCase is an overridden procedure used to set the value in the CharCase property.

SetCharCase is modified in TCustomMaskEdit to ensure that the correct value is used when an edit mask has been assigned in the control. CharCase is set to the value ecNormal when IsMasked contains True. It is assumed that case conversions are performed according to the rules for the edit mask.

When IsMasked is False, the property is set to the content in the Value argument.

SetCharCase calls the inherited method to store the new value for the property.

## See also

TCustomMaskEdit.IsMasked |  | True if a non-empty value has been assigned to EditMask.
TCustomEdit.CharCase |  | Controls the character case applied to values entered in the control.